diff --git a/channels/chan_sip.c b/channels/chan_sip.c
index 7a94517c4d..a26907d115 100644
--- a/channels/chan_sip.c
+++ b/channels/chan_sip.c
@@ -13706,11 +13706,10 @@ static enum sip_result add_sdp(struct sip_request *resp, struct sip_pvt *p, int
 		if (!doing_directmedia) {
 			if (ast_test_flag(&p->flags[2], SIP_PAGE3_ICE_SUPPORT)) {
 				add_ice_to_sdp(p->rtp, &a_audio);
-				/* Start ICE negotiation, and setting that we are controlled agent,
-				   as this is response to offer */
-				if (resp->method == SIP_RESPONSE) {
-					start_ice(p->rtp, 0);
-				}
+				/* Start ICE negotiation, this may just set the role if this is
+				 * the initial offer.
+				 */
+				start_ice(p->rtp, (resp->method != SIP_RESPONSE) ? 1 : 0);
 			}
 
 			add_dtls_to_sdp(p->rtp, &a_audio);
